Name:             paranamer
Version:          2.4.1
Release:          9%{?dist}
Summary:          Library for accessing non-private method parameter names at run-time
Group:            Development/Libraries
License:          BSD
URL:              http://paranamer.codehaus.org

# git clone git://git.codehaus.org/paranamer-git.git paranamer-2.4.1
# cd paranamer-2.4.1 && git checkout paranamer-2.4.1
# find . -name '*.jar' -delete
# rm -rf .git
# cd .. && tar cafJ paranamer-2.4.1-CLEAN.tar.xz paranamer-2.4.1
Source0:          paranamer-%{version}-CLEAN.tar.xz

BuildArch:        noarch

BuildRequires:    jpackage-utils
BuildRequires:    java-devel
BuildRequires:    maven-local
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    jmock

Requires:         jpackage-utils

%description
It is a library that allows the parameter names of non-private methods
and constructors to be accessed at runtime.

%package javadoc
Summary:          Javadocs for %{name}
Group:            Documentation
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q

chmod -x LICENSE.txt

# Remove wagon extension
%pom_xpath_remove "pom:build/pom:extensions"
# Disable distribution module
%pom_disable_module paranamer-distribution
# Specify version in the plugin
%pom_xpath_inject "pom:build/pom:plugins/pom:plugin[pom:artifactId = 'paranamer-maven-plugin']" "<version>%{version}</version>" paranamer/pom.xml

%build
# Test failures
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc LICENSE.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt

%changelog
* Tue Jun 17 2014 Marek Goldmann <mgoldman@redhat.com> - 2.4.1-9
- Switch to xmvn

* Fri Jun 06 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 2.4.1-7
- Use Requires: java-headless rebuild (#1067528)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 20 2013 Marek Goldmann <mgoldman@redhat.com> - 2.4.1-5
- Using pom macros
- Fixed build by adding version to the plugin

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 2.4.1-3
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Mar 12 2012 Marek Goldmann <mgoldman@redhat.com> 2.4.1-1
- Upstream release 2.4.1
- Cleanup in spec file

* Mon Mar 12 2012 Marek Goldmann <mgoldman@redhat.com> 2.2-2
- Updated summary and url

* Tue Feb 21 2012 Marek Goldmann <mgoldman@redhat.com> 2.2-1
- Initial packaging

